%define         gst_minver      0.8.0
%define         gstp_minver     0.8.0
%define         majorminor      0.8
%define         gstreamer       gstreamer

Name:           %{gstreamer}-editor
Version:        0.7.0
Release:        0.fdr.1.2
Summary: 	GStreamer Streaming media framework pipeline editor

Group: 		Applications/Multimedia
License: 	LGPL
URL:		http://gstreamer.net/
Source: 	http://gstreamer.freedesktop.org/src/gst-editor/gst-editor-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(pre): /sbin/ldconfig
Requires(post): /sbin/ldconfig

BuildRequires:	%{gstreamer}-devel >= %{gst_minver}
BuildRequires:	%{gstreamer}-plugins-devel >= %{gstp_minver}
BuildRequires: 	gtk2-devel
BuildRequires:	libglade2-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	scrollkeeper
BuildRequires:	gettext
# needed for intltool
BuildRequires:	perl-libxml-perl
BuildRequires:	intltool
# sigh, libtool
BuildRequires:  gcc-c++

%description
This package contains gst-editor and a few graphical tools.
gst-editor is a development tool for graphically creating
applications based on GStreamer.
gst-launch-gui is an extension of gst-launch allowing you to dynamically
turn on logging domains.
gst-inspect-gui is a graphical element browser.

%package devel
Summary:        GStreamer Editor development files.
Group:          Development/Libraries
Requires:       %{gstreamer}-editor = %{version}-%{release}

%description devel
GStreamer Editor development libraries and headers.

%prep
%setup -q -n gst-editor-%{version}

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang gst-editor

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
rm -rf $RPM_BUILD_ROOT%{_localstatedir}/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
scrollkeeper-update -q

%postun
/sbin/ldconfig
scrollkeeper-update -q

%files -f gst-editor.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING INSTALL NEWS README ChangeLog
%{_bindir}/gst-editor
%{_bindir}/gst-launch-gui
%{_bindir}/gst-inspect-gui
%{_libdir}/libgstdebugui.so.*
%{_libdir}/libgsteditor.so.*
%{_libdir}/libgstelementbrowser.so.*
%{_libdir}/libgstelementui.so.*
%{_datadir}/gst-editor/*.glade2
%{_datadir}/applications/gst-editor.desktop
%{_datadir}/applications/gst-inspect.desktop
%{_datadir}/applications/gst-launch.desktop
%{_datadir}/pixmaps/gst-editor.png
%{_datadir}/pixmaps/gst-inspect.png
%{_datadir}/pixmaps/gst-launch.png
%{_datadir}/gst-editor/gst-editor.png
%{_datadir}/omf/gst-editor/gst-editor-manual-C.omf
%{_datadir}/gst-editor/gnome/help/gst-editor/C/*
%{_mandir}/man1/gst-editor.1*
%{_mandir}/man1/gst-inspect-gui.1*
%{_mandir}/man1/gst-launch-gui.1*

%files devel
%defattr(-, root, root)
%{_includedir}/gst-editor-%{version}/gst/debug-ui/debug-ui.h
%{_includedir}/gst-editor-%{version}/gst/editor
%{_includedir}/gst-editor-%{version}/gst/element-browser
%{_includedir}/gst-editor-%{version}/gst/element-ui
%{_libdir}/libgstdebugui.so
%{_libdir}/libgsteditor.so
%{_libdir}/libgstelementbrowser.so
%{_libdir}/libgstelementui.so
%{_libdir}/libgstdebugui.a
%{_libdir}/libgsteditor.a
%{_libdir}/libgstelementbrowser.a
%{_libdir}/libgstelementui.a

%changelog
* Thu Mar 18 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.7.0: initial packaging for www.fedora.us

